/* File: iClockConstants.h

	iClock Constants & Stuctures 
*/
#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>

// This sample shows how to have many dock menu items hooked up to one action method.
// Because of bug #2751274, on Mac OS X 10.1.x the sender for this action method when called from
// a dock menu item is always the NSApplication object, not the actual menu item.  This ordinarily
// makes it impossible to take action based on which menu item was selected, because we don't know
// which menu item called our action method. We have a workaround
// in this sample for the bug (using NSInvocations), but we set up a #define here for the AppKit
// version that is fixed (in a future release of Mac OS X) so that the code can automatically switch
// over to doing things the right way when the time comes.
#define kFixedDockMenuAppKitVersion 632

//extern OSErr SetDesktopPicture(NSString *picturePath,SInt32 pIndex);

// Localized strings file name for iClock Menu Extra.
extern const CFStringRef LocalizationTable;

//extern const CFStringRef regMLP;			// @"com.iMLP";
//extern const CFStringRef appiClockPrefsOld;	// @"com.imagemontage.iClock";
//extern const CFStringRef appiClockPrefs;	// @"com.scriptsoftware.iClock2";
extern const CFStringRef appiClock4Prefs; //  = (CFStringRef) @"com.scriptsoftware.iClockPro";

extern const NSString *iClockTodoID;		// @"com.scriptsoftware.iClockCAL";

extern const NSString *SepStr;
extern const CFStringRef dreg;
extern const CFStringRef rreg;
extern const CFStringRef regKey;
// Paths to the menu extras
extern const NSString* iClockPrefsBundleID;

//#define iClockPrefsBundleID  @"com.scriptsoftware.prefiClockPanel"

//#define RegKeyValue @"ic-30%03d-00%03d-%@j"	// old serial #
#define RegKeyValue @"ij-40%03d-0%03d0-%@j"
//#define RegKeyValueAU @"ic-2005-%@-au"		
// @"ic-2005-%05d-au"
#define NotRegDay  30

#ifndef M_PI
	#define	M_PI		3.14159265358979323846
#endif
//#define MIN(A,B)		((A)<(B)?(A):(B))

enum  {		// menuFlags bits:
	kMenuOptShowTimexxx = 0,		// 01  / 1
	kMenuOptShowDatexxx = 1,		// 02  / 2
    
	kMenuOptFlashSepxxx = 2, 		// 04  / 4
	kMenuOptTodo = 3,			// 08  / 8
	kMenuOptNA3 = 4,			// 10  / 16
	kMenuOptNA4 = 5,			// 20  / 32
	kMenuOptShowICONxxx = 6,		// 40  / 64
	
	kMenuOptShowDropShadowTxxx = 7,	// 80  / 128
	kMenuOptShowDropShadowDxxx = 8,	// 100 / 256
	
	kMenuOptUseGMTOffset = 9,		// 200 / 512
	kMenuOptShowDateLeftxxx = 10		// 400 / 1024
	};

enum  {		// MenuItemFlags bits:
	kMenuItemShowLocxxx = 0,			// 01  / 1
	kMenuItemLocDropShadowxxxx = 1,		// 02  / 2
    
	kMenuItemSubCopyPasteXXX = 2, 		// 04  / 4
	kMenuItemSubPhoneZip = 3,		// 08  / 8 -- Web Information
	
	kMenuItemLocTimeLeft = 4,		// 10  / 16 -- Time menu items
	kMenuItemLocTimeRight = 5,		// 20  / 32 -- Time menu items
	kMenuItemLocNotes = 6,			// 40  / 64
	kMenuItemTimeNeedsUpDate = 7,	// 80  / 128
	kMenuItemLocHideCountryxxx	 = 8,	// 100 / 256
	
	kMenuItemRecentApps	 = 9,	// 200 / 512
	kMenuItemDeskTopSSxxx	 = 10,	// 400 / 1024
	kMenuItemCalendar	 = 11,	// 800 / 2048
	kMenuItemStopWatch	 = 12,	// 1000 / 4096
	kMenuItemASMxxx	 = 13,	// 2000 / 8192
	kMenuItemCalculator	 = 13,	// 2000 / 8192
	kMenuItemFloatingClocks	 = 14,	// 4000 / 16384	- Added for Future use in V2.0
	kMenuItemCountDown	 = 15	// 8000 / 32768	- Added for Future use in V2.0
};

enum  {	// Table Columns:
	kLocDialCode = 0,	// Notes...
	kLocCity = 1,
	kLocState = 2,
	kLocCountry = 3,
	kLocZoneInfoPath = 4,	// TimeZone Path (ie. Pacific/Hawaii)
	kLocTimeDiff = 5,	// GMT (NSNumber update when calulated).
	kLoc3Zome = 6,		// Updated from calulation of kLocZoneInfoPath

	kLocPhone = 7,		// Set if Addressbook used to add location.
	kLocFName = 8,		// ditto
	kLocLName = 9,		// ditto
	
	kLocEnabled = 10,	// Check box
	kLocFloating = 11,	// Check box
	
	kLocAddressID = 12,
	kLocSubscribed = 13
	};
	
// Dial Code Lookup Columns:
enum  {
	kDialCodeNum = 0,
	kDialCodeCountry = 1,
	};

enum {
	menuTagsCalculatorItems = -60,
    menuTagsURLsItems = -70,
    menuTagsPrefItems = -80,
    menuTagsCalItems = -81,
    menuTagsPCItems = -82,
    menuTagsRecentItems = -83,
    menuTagsReg = -84,
    menuTagsStopWatch = -85,
    menuTagsRecentApp = -86,
    menuTagsFloatingClock = -87,
    menuTagsCountDownItem = -88,
	
// CopyPaste uses -90-93
    menuTagsPasteItems = -90,
    menuTagsCopyItems = -91,
    menuTagsCutItems = -92,
    menuTagsClipSetItems = -93,

    menuTagsStockError = -95,
    menuTagsLocItems = -96,
    menuTagsWarnItems = -98,
    menuTagsDateItems = -99
    };
	